﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using fichier1.Controllers;

namespace fichier1.Views
{
    public partial class ViewResultats : UserControl
    {
        private IGameController ctrl;

        public ViewResultats(IGameController ctrl)
        {
            InitializeComponent();
            this.ctrl = ctrl;
            int x = 0, y = 0;
            for (int i = 0; i < ctrl.getTotalWordNumber(); i++)
            {
                CorrectionMot mot = new CorrectionMot(ctrl, i);
                pnlCorrections.Controls.Add(mot);
                mot.Top = y;
                mot.Left = x;
                x += mot.Width;
                if (x + mot.Width > pnlCorrections.Width)
                {
                    x = 0;
                    y += mot.Height;
                }
            } 
        }
    }
}
